LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY flipflop IS

PORT
(
	clk 		: IN STD_LOGIC;
	reset	 	: IN STD_LOGIC;
	Q 			: OUT STD_LOGIC;
	Q_strich	: OUT STD_LOGIC
);

END flipflop;

ARCHITECTURE teilzaehler OF flipflop IS

signal intern :std_logic;

BEGIN

process(clk, reset)

begin

if falling_edge(clk) then

   if intern = '0' then 
	intern <= '1';
	else
	intern <= '0';	
	end if;
	
	if reset = '0' then
	intern <= '0';	
	end if;
	
end if;

if falling_edge(reset) then

Q <= '0';
Q_strich <='1';

end if;

Q <= intern;
Q_strich <= not intern;

end process;

END teilzaehler;