-- Copyright (C) 1991-2014 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus II License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II 64-Bit"
-- VERSION "Version 14.0.0 Build 200 06/17/2014 SJ Web Edition"

-- DATE "04/25/2017 21:40:00"

-- 
-- Device: Altera EP4CE115F29C7 Package FBGA780
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY CYCLONEIVE;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE CYCLONEIVE.CYCLONEIVE_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	zaehler_top IS
    PORT (
	clk : IN std_logic;
	reset : IN std_logic;
	A_out : BUFFER std_logic;
	B_out : BUFFER std_logic;
	C_out : BUFFER std_logic;
	D_out : BUFFER std_logic
	);
END zaehler_top;

-- Design Ports Information
-- A_out	=>  Location: PIN_G19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B_out	=>  Location: PIN_F19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C_out	=>  Location: PIN_E19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- D_out	=>  Location: PIN_F21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- reset	=>  Location: PIN_M21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk	=>  Location: PIN_M23,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF zaehler_top IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_clk : std_logic;
SIGNAL ww_reset : std_logic;
SIGNAL ww_A_out : std_logic;
SIGNAL ww_B_out : std_logic;
SIGNAL ww_C_out : std_logic;
SIGNAL ww_D_out : std_logic;
SIGNAL \A_out~output_o\ : std_logic;
SIGNAL \B_out~output_o\ : std_logic;
SIGNAL \C_out~output_o\ : std_logic;
SIGNAL \D_out~output_o\ : std_logic;
SIGNAL \clk~input_o\ : std_logic;
SIGNAL \reset~input_o\ : std_logic;
SIGNAL \flip0:4:flip1:Bit3|intern~0_combout\ : std_logic;
SIGNAL \flip0:4:flip1:Bit3|intern~feeder_combout\ : std_logic;
SIGNAL \flip0:4:flip1:Bit3|intern~q\ : std_logic;
SIGNAL \flip0:3:flip2:Biti|intern~0_combout\ : std_logic;
SIGNAL \flip0:3:flip2:Biti|intern~feeder_combout\ : std_logic;
SIGNAL \flip0:3:flip2:Biti|intern~q\ : std_logic;
SIGNAL \flip0:2:flip2:Biti|intern~0_combout\ : std_logic;
SIGNAL \flip0:2:flip2:Biti|intern~feeder_combout\ : std_logic;
SIGNAL \flip0:2:flip2:Biti|intern~q\ : std_logic;
SIGNAL \flip0:1:flip2:Biti|intern~0_combout\ : std_logic;
SIGNAL \flip0:1:flip2:Biti|intern~q\ : std_logic;
SIGNAL \ALT_INV_clk~input_o\ : std_logic;
SIGNAL \flip0:2:flip2:Biti|ALT_INV_intern~q\ : std_logic;
SIGNAL \flip0:3:flip2:Biti|ALT_INV_intern~q\ : std_logic;
SIGNAL \flip0:4:flip1:Bit3|ALT_INV_intern~q\ : std_logic;

BEGIN

ww_clk <= clk;
ww_reset <= reset;
A_out <= ww_A_out;
B_out <= ww_B_out;
C_out <= ww_C_out;
D_out <= ww_D_out;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_clk~input_o\ <= NOT \clk~input_o\;
\flip0:2:flip2:Biti|ALT_INV_intern~q\ <= NOT \flip0:2:flip2:Biti|intern~q\;
\flip0:3:flip2:Biti|ALT_INV_intern~q\ <= NOT \flip0:3:flip2:Biti|intern~q\;
\flip0:4:flip1:Bit3|ALT_INV_intern~q\ <= NOT \flip0:4:flip1:Bit3|intern~q\;

-- Location: IOOBUF_X69_Y73_N16
\A_out~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \flip0:4:flip1:Bit3|intern~q\,
	devoe => ww_devoe,
	o => \A_out~output_o\);

-- Location: IOOBUF_X94_Y73_N2
\B_out~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \flip0:3:flip2:Biti|intern~q\,
	devoe => ww_devoe,
	o => \B_out~output_o\);

-- Location: IOOBUF_X94_Y73_N9
\C_out~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \flip0:2:flip2:Biti|intern~q\,
	devoe => ww_devoe,
	o => \C_out~output_o\);

-- Location: IOOBUF_X107_Y73_N16
\D_out~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \flip0:1:flip2:Biti|intern~q\,
	devoe => ww_devoe,
	o => \D_out~output_o\);

-- Location: IOIBUF_X115_Y40_N8
\clk~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk,
	o => \clk~input_o\);

-- Location: IOIBUF_X115_Y53_N15
\reset~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_reset,
	o => \reset~input_o\);

-- Location: LCCOMB_X96_Y72_N24
\flip0:4:flip1:Bit3|intern~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \flip0:4:flip1:Bit3|intern~0_combout\ = (!\flip0:4:flip1:Bit3|intern~q\ & \reset~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \flip0:4:flip1:Bit3|intern~q\,
	datad => \reset~input_o\,
	combout => \flip0:4:flip1:Bit3|intern~0_combout\);

-- Location: LCCOMB_X96_Y72_N22
\flip0:4:flip1:Bit3|intern~feeder\ : cycloneive_lcell_comb
-- Equation(s):
-- \flip0:4:flip1:Bit3|intern~feeder_combout\ = \flip0:4:flip1:Bit3|intern~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \flip0:4:flip1:Bit3|intern~0_combout\,
	combout => \flip0:4:flip1:Bit3|intern~feeder_combout\);

-- Location: FF_X96_Y72_N23
\flip0:4:flip1:Bit3|intern\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \ALT_INV_clk~input_o\,
	d => \flip0:4:flip1:Bit3|intern~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \flip0:4:flip1:Bit3|intern~q\);

-- Location: LCCOMB_X96_Y72_N30
\flip0:3:flip2:Biti|intern~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \flip0:3:flip2:Biti|intern~0_combout\ = (!\flip0:3:flip2:Biti|intern~q\ & \reset~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \flip0:3:flip2:Biti|intern~q\,
	datad => \reset~input_o\,
	combout => \flip0:3:flip2:Biti|intern~0_combout\);

-- Location: LCCOMB_X96_Y72_N28
\flip0:3:flip2:Biti|intern~feeder\ : cycloneive_lcell_comb
-- Equation(s):
-- \flip0:3:flip2:Biti|intern~feeder_combout\ = \flip0:3:flip2:Biti|intern~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \flip0:3:flip2:Biti|intern~0_combout\,
	combout => \flip0:3:flip2:Biti|intern~feeder_combout\);

-- Location: FF_X96_Y72_N29
\flip0:3:flip2:Biti|intern\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \flip0:4:flip1:Bit3|ALT_INV_intern~q\,
	d => \flip0:3:flip2:Biti|intern~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \flip0:3:flip2:Biti|intern~q\);

-- Location: LCCOMB_X95_Y72_N18
\flip0:2:flip2:Biti|intern~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \flip0:2:flip2:Biti|intern~0_combout\ = (!\flip0:2:flip2:Biti|intern~q\ & \reset~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \flip0:2:flip2:Biti|intern~q\,
	datad => \reset~input_o\,
	combout => \flip0:2:flip2:Biti|intern~0_combout\);

-- Location: LCCOMB_X95_Y72_N20
\flip0:2:flip2:Biti|intern~feeder\ : cycloneive_lcell_comb
-- Equation(s):
-- \flip0:2:flip2:Biti|intern~feeder_combout\ = \flip0:2:flip2:Biti|intern~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \flip0:2:flip2:Biti|intern~0_combout\,
	combout => \flip0:2:flip2:Biti|intern~feeder_combout\);

-- Location: FF_X95_Y72_N21
\flip0:2:flip2:Biti|intern\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \flip0:3:flip2:Biti|ALT_INV_intern~q\,
	d => \flip0:2:flip2:Biti|intern~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \flip0:2:flip2:Biti|intern~q\);

-- Location: LCCOMB_X95_Y72_N24
\flip0:1:flip2:Biti|intern~0\ : cycloneive_lcell_comb
-- Equation(s):
-- \flip0:1:flip2:Biti|intern~0_combout\ = (!\flip0:1:flip2:Biti|intern~q\ & \reset~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \flip0:1:flip2:Biti|intern~q\,
	datad => \reset~input_o\,
	combout => \flip0:1:flip2:Biti|intern~0_combout\);

-- Location: FF_X95_Y72_N25
\flip0:1:flip2:Biti|intern\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \flip0:2:flip2:Biti|ALT_INV_intern~q\,
	d => \flip0:1:flip2:Biti|intern~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \flip0:1:flip2:Biti|intern~q\);

ww_A_out <= \A_out~output_o\;

ww_B_out <= \B_out~output_o\;

ww_C_out <= \C_out~output_o\;

ww_D_out <= \D_out~output_o\;
END structure;


